{% extends 'dragonboard-845c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet pmwg-dispatcher01 7103'} %}
{% set adb_serial_number = '961b6f38' %}
{% set fastboot_serial_number = '961b6f38' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m sync -u 03' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -u 03' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -u 03',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command reboot --port 14',
'/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m sync -u 03'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command on --port 14',
'/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m sync -u 03'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command off --port 14',
'/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -u 03'] %}
{% set device_info = [{'board_id': '961b6f38'}] %}
{% set static_info = [{'board_id': 'S_NO19071902'}] %}
{% set device_ip = '10.99.0.251' %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-845c', 'worker': 'pmwg-dispatcher01.pmwglab', 'tags': [], 'aliases': []} %}